﻿@model eCommerce.UI.ViewModels.BreadCrumbViewModel
<div class="shop-breadcrumb">
    <div class="shop-breadcrumb-crumb">

        @{ 
            //var currentCategory = Model.Category;
            var currentProduct = Model.Product;
            //var isBuscar = Model.isBuscar;
        }

        @if (currentProduct != null)
        {
            <a href="/shop/@Model.CategorySeoUrl/@currentProduct.SeoUrl" class="shop-breadcrumb__item">@currentProduct.Title</a>
            <span class="shop-breadcrumb__separator"> <i class="fas fa-chevron-right" style="font-size:10px"></i> </span>
            
        }else
        {
            
        }
        
        @if(Model.CategorySeoUrl != "")
        {
            
            <a href="/shop/@Model.CategorySeoUrl" class="shop-breadcrumb__item">@Model.CategoryName</a>
            <span class="shop-breadcrumb__separator"> <i class="fas fa-chevron-right" style="font-size:10px"></i> </span>
             
            <a href="/" class="shop-breadcrumb__item">Home</a>
        }
        
    </div>
    <div style="display:flex;align-items:center">
        @if (currentProduct == null)
        {
            
            <div class="btns-filters">
                <div>

                    <span class="shop-breadcrumb-filter-selector js-filter-selector" style="align-items: center;">
                        <img src="~/Content/icons/Icono-filtros.png" alt="Alternate Text" />
                        FILTROS
                    </span>
                </div>

                <div>
                    <span class="shop-breadcrumb-filter-selector btnSacarFiltro hide" onclick="sacarFiltro()" id="btnSacarFiltro">
                        <i class="fa fa-times" aria-hidden="true" style="padding:0px 0.5rem"></i>
                        QUITAR FILTROS
                    </span>
                </div>
            </div>
            <div class="shop-bar__sort">
                
                <select class="sort__control js-filter-sort">
                    <option disabled selected>Ordenar por</option>
                    <option value="0">Default</option>
                    <option value="1">Precio ascendente</option>
                    <option value="2">Precio descendente</option>
                </select>
            </div>
        }
    </div>
   
        @*else
        {
            <div class="btns-filters">
                <div>
                    <span class="shop-breadcrumb-filter-selector js-filter-search-selector"><i class="fa fa-filter" aria-hidden="true" style="padding:0px 0.5rem"></i>VER FILTROS</span>
                </div>

                <div>
                    <span class="shop-breadcrumb-filter-selector btnSacarFiltro hide" onclick="sacarFiltro()" id="btnSacarFiltro">
                        <i class="fa fa-times" aria-hidden="true" style="padding:0px 0.5rem"></i>
                        QUITAR FILTROS
                    </span>
                </div>
            </div>
        }*@

    

</div>
<script>
   

    
</script>